Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgetsBooking flow
Query availabilitySearch availabilityBookAccess level for team members with the user role per unit.
iduuidUnique identifier
created_attimestamp with time zoneCreation timestamp
updated_attimestamp with time zoneLast modification timestamp
bookings"none" | "maintenance" | "view" | "manage"Bookings permission level
notifications"none" | "non-financial" | "all"Notifications permission level
permission"maintenance" | "view-bookings" | "manage-bookings" | "all"Permission level
settings"none" | "all"Settings permission level
JSON
{
"id": "00000000-0000-0000-0000-000000000000",
"member_id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-03-12T05:46:23.814Z",
"updated_at": "2026-03-12T05:46:23.814Z",
"bookings": "view",
"notifications": "none",
"permission": "view-bookings",
"settings": "none"
}idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
bookingsFilter<"none" | "maintenance" | "view" | "manage">Bookings permission level
notificationsFilter<"none" | "non-financial" | "all">Notifications permission level
permissionFilter<"maintenance" | "view-bookings" | "manage-bookings" | "all">Permission level
settingsFilter<"none" | "all">Settings permission level
200A list of permissions with the selected columns
206Partial Content
GET /permissionscurl -X GET "https://api.bookingmood.com/v1/permissions?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"Partial<Permission> | Array<Partial<Permission>>201The newly created permissions with the selected columns
POST /permissionscurl -X POST "https://api.bookingmood.com/v1/permissions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[]'idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
bookingsFilter<"none" | "maintenance" | "view" | "manage">Bookings permission level
notificationsFilter<"none" | "non-financial" | "all">Notifications permission level
permissionFilter<"maintenance" | "view-bookings" | "manage-bookings" | "all">Permission level
settingsFilter<"none" | "all">Settings permission level
204The deleted permissions with the selected columns
DELETE /permissionscurl -X DELETE "https://api.bookingmood.com/v1/permissions" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
bookingsFilter<"none" | "maintenance" | "view" | "manage">Bookings permission level
notificationsFilter<"none" | "non-financial" | "all">Notifications permission level
permissionFilter<"maintenance" | "view-bookings" | "manage-bookings" | "all">Permission level
settingsFilter<"none" | "all">Settings permission level
Partial<Permission>204The updated permissions with the selected columns
PATCH /permissionscurl -X PATCH "https://api.bookingmood.com/v1/permissions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{}'